#
# spec file for package python-mockldap
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mockldap
Version:        0.2.5
Release:        2.3
Summary:        A simple mock implementation of python-ldap
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://bitbucket.org/psagers/mockldap/
Source:         https://pypi.python.org/packages/source/m/mockldap/mockldap-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-funcparserlib
BuildRequires:  python-ldap
BuildRequires:  python-mock
BuildRequires:  python-setuptools
Requires:       python-funcparserlib
Requires:       python-ldap
Requires:       python-mock
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This project provides a mock replacement for python-ldap. It's useful for any
project that would like to write unit tests against LDAP code without relying
on a running LDAP server.

%prep
%setup -q -n mockldap-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# The tests need Python 2.7
%if 0%{?suse_version} > 1110 
python setup.py test
%endif

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Jul 13 2015 mcihar@suse.cz
- Update to 0.2.5:
  - A simple implementation of passwd_s.
  - Fixes for DN case-insensitive matching.
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 0.2.4:
  - Support SSHA passwords with salt of arbitrary length.
  - Don't support {CRYPT} passwords if crypt can't be imported.
* Wed Jul 23 2014 mcihar@suse.cz
- Update to 0.2.2:
  + Many changes including Python 3 support
* Wed May 28 2014 mcihar@suse.cz
- Fixed license string.
* Thu Oct 31 2013 mcihar@suse.cz
- Initial packaging.
